// 是否是手机号
export const isPhone = (phone: number | string) => {
  if (!phone) {
    return false;
  }
  const regex = /^1[3-9]\d{9}$/;
  return regex.test(String(phone));
};
// 是否是邮箱
export const isEmail = (email: string) => {
  if (!email) {
    return false;
  }
  const regex = /^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$/;
  return regex.test(email.trim());
};
// 不包含非法字符
export const hasNoSpecialChar = (str: string) => {
  // 匹配任何 中文、字母、数字 的字符
  const regex = /[^\u4e00-\u9fa5a-zA-Z0-9]/;
  return !regex.test(str);
};
// 长度限制20
export const length20 = (str: string) => {
  if (!str) {
    return true;
  }
  return str.length <= 20;
};
// 长度限制100
export const length100 = (str: string) => {
  if (!str) {
    return true;
  }
  return str.length <= 100;
};

export const submitFileNameReg = (str: string) => {
  return !/[^A-Za-z0-9_\.\-]/.test(str);
};
